
Foreman - Bug #9453

Config Groups: Tooltips used for adding/removing classes to a config group could be streamlined

02/18/2015 04:20 PM - Bryan Kearney

Status: Closed   

Priority: Low   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.10.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1186932 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2607

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1186932

Description of problem:

When you create or edit a config group, the tooltip for adding a class is "Click to add <class name>". After you click that, you can

then remove it, and our tooltip for that is "Click to undo adding this class".

We could make those more concise if we simply said "Add this class" and "Remove this class". By nature of being a tooltip on a

clickable element, I think it's implied that if they click it, the action the tooltip says will happen. 'Remove' is the more expected

opposite to 'add' than 'undo adding'.

Version-Release number of selected component (if applicable):

6.0.6

Related issues:

Related to Foreman - Bug #5733: Puppet class names get shortened Resolved 05/15/2014

Associated revisions

Revision f9d9ece7 - 08/28/2015 05:21 AM - Tomer Brisker

Fixes #9453 - improve tooltips on puppetclass selection forms

History

#1 - 02/19/2015 08:27 AM - Dominic Cleal

- Category set to Web Interface

- Assignee deleted (Ohad Levy)

- Priority changed from Normal to Low

- Difficulty set to trivial

#2 - 04/30/2015 05:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2339 added

- Pull request deleted ()

#3 - 08/16/2015 07:21 AM - Tomer Brisker

- Status changed from Ready For Testing to Assigned

- Assignee set to Tomer Brisker

#4 - 08/16/2015 07:24 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

#5 - 08/16/2015 07:26 AM - Tomer Brisker
- Pull request https://github.com/theforeman/foreman/pull/2607 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2339)

#6 - 08/28/2015 05:22 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#7 - 08/28/2015 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f9d9ece7f135fc583b8df138a305267abd289a23.

#8 - 04/14/2016 04:16 AM - Dominic Cleal

- Related to Bug #5733: Puppet class names get shortened added
